# Contributing to Gladys

We love your input! It's always great in open-source to receive help from other people 😄

We want to make contributing to this project as easy and transparent as possible, whether it's:

- Reporting a bug
- Discussing the current state of the code
- Submitting a fix
- Proposing new features
- Becoming a maintainer

## We Develop with Github

We use github to host code, to track issues and feature requests, as well as accept pull requests.

## Setup your development environment

- [MacOS/Linux instructions](https://gladysassistant.com/en/docs/dev/setup-development-environment-mac-linux/)
- [Windows instructions](https://gladysassistant.com/en/docs/dev/setup-development-environment-windows/)

## Before making a Pull Request

Make sure you discussed with the team on our Gladys [french forum](https://community.gladysassistant.com/) or [english forum](https://en-community.gladysassistant.com/) to ensure your pull request goes in the same direction as current developements 🙂

Then, create a GitHub Issue to indicate that you're working on the topic.

As soon as you have code to show, create a draft PR so that your code is visible to the team so we can discuss the changes.

## All Code Changes Happen Through Pull Requests

Pull requests are the best way to propose changes to the codebase.

We actively welcome your pull requests:

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests.
3. If you've changed the APIs, update the documentation.
4. Ensure the test suite passes. (`npm test`)
5. Make sure your code lints. (`npm run eslint`)
6. Make sure your code is pretty (`npm run prettier`)
7. Make sure you add fake requests data for the demo mode (`front/src/config/demo.js`) so that the demo website is working without a backend. (if needed) See [https://demo.gladysassistant.com](https://demo.gladysassistant.com).
8. Issue that pull request!

## Any contributions you make will be under the Apache 2.0 License

In short, when you submit code changes, your submissions are understood to be under the same Apache 2.0 License that covers the project.

## Report bugs using Github's [issues](https://github.com/gladysassistant/Gladys/issues)

We use GitHub issues to track public bugs. Report a bug by [opening a new issue](https://github.com/gladysassistant/Gladys/issues); it's that easy!
